# Class AttributeMarkerGrouping

java.lang.Object
org.eclipse.ui.views.markers.internal.AttributeMarkerGrouping

public class AttributeMarkerGrouping extends Object
AttributeMarkerGrouping is the configuration element for the markerAttributeGrouping extension.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`AttributeMarkerGrouping(IConfigurationElement element)`
Create a new instance of the receiver from element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addGroup(MarkerGroup markerGroup)`
Add markerGroup to the list of referenced groups.
`String`
`getAttribute()`
Return the name of the attribute for the receiver.
`String`
`getDefaultGroupingEntry()`
Return the id of the default grouping.
`IConfigurationElement`
`getElement()`
Return the IConfigurationElement for the receiver.
`String`
`getMarkerType()`
Return the id of the marker type for this type.
`void`
`unmap()`
Unmap the receiver from the groups

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeMarkerGrouping

public AttributeMarkerGrouping(IConfigurationElement element)
Create a new instance of the receiver from element.

## Method Details

### getDefaultGroupingEntry

public String getDefaultGroupingEntry()
Return the id of the default grouping.

Returns:
  String or `null` if it is not defined.

### getMarkerType

public String getMarkerType()
Return the id of the marker type for this type.

Returns:
  String

### getAttribute

public String getAttribute()
Return the name of the attribute for the receiver.

Returns:
  String

### getElement

public IConfigurationElement getElement()
Return the IConfigurationElement for the receiver.

Returns:
  IConfigurationElement

### addGroup

public void addGroup(MarkerGroup markerGroup)
Add markerGroup to the list of referenced groups.

### unmap

public void unmap()
Unmap the receiver from the groups